# Class ActiveRecord::ConnectionAdapters::Mysql2Adapter < Object

- config/initializers/connection_fix.rb

Methods

E
  - execute,
  - execute_without_retry

Instance Public methods
execute(*args) Link
Also aliased as: execute_without_retry

Source: show

    # File config/initializers/connection_fix.rb, line 21
    def execute(*args)
      execute_without_retry(*args)
    rescue ActiveRecord::StatementInvalid => e
      if e.message =~ %rserver has gone away/
        warn "Server timed out, retrying"
        reconnect!
        retry
      else
        raise e
      end
    end

execute_without_retry(*args) Link